Package ru.bitel.bgbilling.modules.hd.server.bean

# Class CommonDAO

java.lang.Object
ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO

Direct Known Subclasses:
  `ZoneDAO`

public class CommonDAO extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `SQL_DELETE_FROM`
  `protected static final String`
  `SQL_FROM`
  `protected static final String`
  `SQL_INSERT_INTO`
  `protected static final String`
  `SQL_LIMIT`
  `protected static final String`
  `SQL_ORDER_BY`
  `protected static final String`
  `SQL_SELECT`
  `protected static final String`
  `SQL_SET`
  `protected static final String`
  `SQL_UPDATE`
  `protected static final String`
  `SQL_VALUES`
  `protected static final String`
  `SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonDAO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Period`
  `getPeriod(ResultSet rs)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SQL_SELECT

    protected static final String SQL_SELECT
    See Also:
      - Constant Field Values

  - ### SQL_FROM

    protected static final String SQL_FROM
    See Also:
      - Constant Field Values

  - ### SQL_WHERE

    protected static final String SQL_WHERE
    See Also:
      - Constant Field Values

  - ### SQL_ORDER_BY

    protected static final String SQL_ORDER_BY
    See Also:
      - Constant Field Values

  - ### SQL_VALUES

    protected static final String SQL_VALUES
    See Also:
      - Constant Field Values

  - ### SQL_SET

    protected static final String SQL_SET
    See Also:
      - Constant Field Values

  - ### SQL_INSERT_INTO

    protected static final String SQL_INSERT_INTO
    See Also:
      - Constant Field Values

  - ### SQL_UPDATE

    protected static final String SQL_UPDATE
    See Also:
      - Constant Field Values

  - ### SQL_DELETE_FROM

    protected static final String SQL_DELETE_FROM
    See Also:
      - Constant Field Values

  - ### SQL_LIMIT

    protected static final String SQL_LIMIT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CommonDAO

    public CommonDAO()

- ## Method Details

  - ### getPeriod

    protected Period getPeriod(ResultSet rs) throws SQLException
    Throws:
      `SQLException`